Bug Hunting Session
Bug 120117 - Sidebar Disrupts Column/Row Freeze Status
Summary: Sidebar Disrupts Column/Row Freeze Status
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar Cell-Freeze
  Show dependency treegraph
 
Reported: 2018-09-26 02:29 UTC by Kevin Suo
Modified: 2019-10-17 02:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshots demonstrating the bug (182.72 KB, application/pdf)
2018-09-30 01:48 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2018-09-26 02:29:49 UTC
In a sheet which has column and row freeze enabled, when I open the sidebar, if the column/row freeze area falls into the sidebar area, then the column/row freeze status is disrupted.

Steps to Reproduce:

1. New Calc, put cursor in cell M13, click the "Freeze Column/Row" toolbar icon. Drag the scroll bar to confirm that the columns and rows are freeze.

2. Click on any of the sidebar item at the right of the window (i.e., Properties, Styles etc), so that the side bar opens and covers the freeezed cell area.

3. Click on the sidebar item again to make the side bar close. Now use the scroll bar to check the column/row freeze status.

Expected Result:
The column and row freeze status remain unchanged in step 3.

Actual Result:
The column and row freeze status changed. The freezed cell changed from M13 to A13.

Ubuntu 18.04 LTS x64

Version: 6.0.6.2
Build ID:0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU 线程:4; 操作系统:Linux 4.15; UI 渲染:默认; VCL: gtk2; 
区域语言:zh-CN (zh_CN.UTF-8); Calc: group
Comment 1 Kevin Suo 2018-09-30 01:48:01 UTC
Created attachment 145272 [details]
screenshots demonstrating the bug
Comment 2 raal 2018-10-06 04:06:11 UTC
confirm with Version: 6.2.0.0.alpha0+
Build ID: e9c1cbce903d325b1e19602d72765511589f5bf2
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3;
Comment 3 Xisco Faulí 2018-10-16 16:38:38 UTC
Also reproduced in

Versión: 6.1.2.1
Id. de compilación: 65905a128db06ba48db947242809d14d3f9a93fe
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threaded

and

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.15; Render: default;
Comment 4 QA Administrators 2019-10-17 02:37:11 UTC
Dear Kevin Suo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug